Bug 1875353 - Undiagnosed panic detected in amazon-eks-pod-identity-webhook pod [NEEDINFO]
Summary: Undiagnosed panic detected in amazon-eks-pod-identity-webhook pod
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.6.0
Assignee: Seth Jennings
QA Contact: wang lin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 11:36 UTC by Michal Fojtik
Modified: 2020-09-10 13:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
lwan: needinfo? (mfojtik)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift aws-pod-identity-webhook pull 126 None closed Bug 1875353: UPSTREAM: 70: Fix panic in cache informer 2020-09-22 13:37:29 UTC

Description Michal Fojtik 2020-09-03 11:36:11 UTC
Description of problem:

E0902 18:40:00.201247       1 runtime.go:69] Observed a panic: &runtime.TypeAssertionError{_interface:(*runtime._type)(0x11545a0), concrete:(*runtime._type)(0x11c6960), asserted:(*runtime._type)(0x12c2160), missingMethod:""} (interface conversion: interface {} is cache.DeletedFinalStateUnknown, not *v1.ServiceAccount)
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:76
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:65
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:51
/usr/lib/golang/src/runtime/panic.go:969
/usr/lib/golang/src/runtime/iface.go:260
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/pkg/cache/cache.go:121
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/client-go/tools/cache/controller.go:209
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/client-go/tools/cache/controller.go:373
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/client-go/tools/cache/delta_fifo.go:436
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/client-go/tools/cache/controller.go:150
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:152
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:153
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:88
/go/src/github.com/aws/amazon-eks-pod-identity-webhook/vendor/k8s.io/client-go/tools/cache/controller.go:124
/usr/lib/golang/src/runtime/asm_amd64.s:1373

Detected in: https://prow.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-disruptive-4.6/1301211648454823936

Fix in: https://github.com/aws/amazon-eks-pod-identity-webhook/pull/70


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Michal Fojtik 2020-09-03 11:36:42 UTC
Severity is urgent because unhandled panics now fail the test jobs.

Comment 2 Seth Jennings 2020-09-03 13:02:22 UTC
upstream PR https://github.com/aws/amazon-eks-pod-identity-webhook/pull/70

Comment 5 wang lin 2020-09-10 13:35:13 UTC
Hi Michal, sorry for bother you. Does this one need a QE verify? I can't see this issue in the latest nightly build. Does this PR has fixed the issue and no longer block your work? if so, I will move the status to verified.


Note You need to log in before you can comment on or make changes to this bug.